[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="Stil der neu geschriebenen Adresse f\u00fcr \"von\":";
	.rewritestyle.labels=["\"hans meier\"<hmeier@beispiel.com>","hmeier@beispiel.com (Hans Meier)","hmeier@beispiel.com","Adressen nie neu schreiben"];
	.rewrite.text="SMTP-Umschlagadresse gem\u00e4\u00df den Attributen im LDAP-Eintrag des Empf\u00e4ngers neu schreiben:";
	.rewrite.1.text="mailRoutingAddress-Attribut verwenden";
	.rewrite.2.text="UID mit dem mailHost-Attribut kombinieren";
	.rewrite.4.text="Lokalen Teil der Adressen mit dem mailHost-Attribut kombinieren";
	.fallback.text="Wenn der Server keinen LDAP-Eintrag mit einer angegebenen E-Mail-Adresse finden kann, erneut eine Suche mit den ausgew\u00e4hlten Methoden durchf\u00fchren:";
	.fallback.1.text="Nach benutzerdefinierter Dom\u00e4ne suchen";
	.fallback.2.text="Mithilfe einer abgek\u00fcrzten Dom\u00e4ne suchen (Host-Teil weglassen, falls lokal)";
	.fallback.4.text="Nach Benutzer-ID (UID) suchen";
	.routing.header="SMTP-Routing-Tabelle:";
	.delimiter="$";
	.addentry.title="SMTP-Routing-Eintrag";
	.editentry.title="SMTP-Routing-Eintrag";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="Nach Benutzer-ID (UID) suchen";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="Eintrag in Routing-Tabelle:";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
